---
title: Overview
page_title: ButtonGroup Overview - Components - Kendo UI for Vue
description: "Get an overview of the features the Kendo UI ButtonGroup wrapper for Vue delivers and use the component in Vue projects."
slug: overview_buttongroup_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/buttons/buttongroup/"
position: 1
---

<div><WrapperBanner link="/kendo-vue-ui/components/buttons/buttongroup"></WrapperBanner></div>

# ButtonGroup Overview

The ButtonGroup represents a group of buttons with similar functionalities.

ButtonGroups act as containers for two or more Button components. Depending on the requirements of your project, you can separately configure each Button in the ButtonGroup.

The ButtonGroup wrapper for Vue is a client-side wrapper for the [Kendo UI ButtonGroup](https://demos.telerik.com/kendo-ui/buttongroup/index) widget.

<div data-component="StartFreeTrialSection"></div>

## Basic Usage

The following example demonstrates the ButtonGroup in action.

{% meta height:350 %}
{% embed_file buttongroup/overview/basic-usage/main.vue preview %}
{% embed_file buttongroup/overview/basic-usage/main.js %}
{% endmeta %}

## Functionality and Features

* [Preselected buttons]({% slug preselected_buttons_buttongroup_wrapper %})
* [Icon ButtonGroup]({% slug icons_buttongroup_wrapper %})
* [Selection]({% slug selection_buttongroup_wrapper %})
* [Color]({% slug color_buttongroup_wrapper %})
* [Badges]({% slug badges_buttongroup_wrapper %})
* [Keyboard navigation]({% slug keyboard_navigation_buttongroup_wrapper %})
* [RTL support]({% slug right_to_left_support_buttongroup_wrapper %})

## Events

The following example demonstrates basic ButtonGroup events. You can subscribe to [all ButtonGroup events](https://docs.telerik.com/kendo-ui/api/javascript/mobile/ui/buttongroup#events) by the handler name.

{% meta height:350 %}
{% embed_file buttongroup/overview/events/main.vue preview %}
{% embed_file buttongroup/overview/events/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI ButtonGroup for jQuery](https://demos.telerik.com/kendo-ui/buttongroup/index)
* [API Reference of the ButtonGroup Widget](https://docs.telerik.com/kendo-ui/api/javascript/mobile/ui/buttongroup)
